petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSSetDiscretization

Sets the discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetDiscretization(PetscDS prob, PetscInt f, PetscObject disc)

Not collective Many br

### Input Parameters

| prob | - The PetscDS object Many br
| f | - The field number Many br
| disc | - The discretization object Many br

Many br

### See Also

PetscDSGetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html